# DataExchange
TKSTEPBase
StepShape

# StepShape_BoxDomain Class Reference

`#include <StepShape_BoxDomain.hxx>`

## Public Member Functions

Standard_EXPORT | StepShape_BoxDomain ()
| Returns a BoxDomain .
virtual Standard_EXPORT void | Init (const Handle(StepGeom_CartesianPoint)&aCorner, const Standard_Real aXlength, const Standard_Real aYlength, const Standard_Real aZlength)
Standard_EXPORT void | SetCorner (const Handle(StepGeom_CartesianPoint)&aCorner)
Standard_EXPORT Handle_StepGeom_CartesianPoint | Corner () const
Standard_EXPORT void | SetXlength (const Standard_Real aXlength)
Standard_EXPORT Standard_Real | Xlength () const
Standard_EXPORT void | SetYlength (const Standard_Real aYlength)
Standard_EXPORT Standard_Real | Ylength () const
Standard_EXPORT void | SetZlength (const Standard_Real aZlength)
Standard_EXPORT Standard_Real | Zlength () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_CartesianPoint | corner
Standard_Real | xlength
Standard_Real | ylength
Standard_Real | zlength

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_BoxDomain::StepShape_BoxDomain | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_CartesianPoint StepShape_BoxDomain::Corner | ( |  | ) | const

Standard_EXPORT const StepShape_BoxDomain::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepShape_BoxDomain::Init | ( | const Handle(StepGeom_CartesianPoint)& | aCorner,
|  | const Standard_Real | aXlength,
|  | const Standard_Real | aYlength,
|  | const Standard_Real | aZlength
| ) | `[virtual]`

Standard_EXPORT void StepShape_BoxDomain::SetCorner | ( | const Handle(StepGeom_CartesianPoint)& | aCorner | ) |

Standard_EXPORT void StepShape_BoxDomain::SetXlength | ( | const Standard_Real | aXlength | ) |

Standard_EXPORT void StepShape_BoxDomain::SetYlength | ( | const Standard_Real | aYlength | ) |

Standard_EXPORT void StepShape_BoxDomain::SetZlength | ( | const Standard_Real | aZlength | ) |

Standard_EXPORT Standard_Real StepShape_BoxDomain::Xlength | ( |  | ) | const

Standard_EXPORT Standard_Real StepShape_BoxDomain::Ylength | ( |  | ) | const

Standard_EXPORT Standard_Real StepShape_BoxDomain::Zlength | ( |  | ) | const

## Field Documentation

Handle_StepGeom_CartesianPoint StepShape_BoxDomain::corner `[private]`

Standard_Real StepShape_BoxDomain::xlength `[private]`

Standard_Real StepShape_BoxDomain::ylength `[private]`

Standard_Real StepShape_BoxDomain::zlength `[private]`

The documentation for this class was generated from the following file:

- StepShape_BoxDomain.hxx